# htp on-line reference : <!---

## syntax

`<set time="0">
<block name=a>
a is expanded at time <use time>.
</block>
<block name=b expand>
b is expanded at time <use time>.
</block>
<set time="1">
<use a>
<use b>
contents of a: <use a noexpand>
contents of b: <use b noexpand>
<block name=c expand>
c is expanded at time <use time>; <use a>
</block>
<block name=d expand>
d is expanded at time <use time>; <use a noexpand>
</block>
<block name=e>
e is expanded at time <use time>; <use a noexpand>
</block>
<set time="2">
<block name=a>
a is defined for the 2nd time <use time>.
</block>
<use c>
<use d>
<use e>
`

## synopsis

This is a simple comment that is not included in the output. This is useful when commenting metatags, since the metatags do not appear the output either. Example:

`a is expanded at time 1.
b is expanded at time 0.
contents of a: a is expanded at time <use time>.
contents of b: b is expanded at time 0.
c is expanded at time 1; a is expanded at time 1.
d is expanded at time 1; a is expanded at time 2.
e is expanded at time 2; a is defined for the 2nd time <use time>.
`

Note that these comments should not include < or >, that is you should not use it to comment out htp code. For that purpose use something like this:

`<EM>File "<FILE NAME>" last updated <FILE TIME>, <FILE DATE></EM>
`

Make sure that the variable is never defined and xyz should be the reason why you don't want to include this block

hosted by Sourceforge HTML coding

Copyright © 1995–96 Jim Nelson. Copyright © 2001–2014 Jochen Hoenicke. Permission to reproduce and distribute this hypertext document granted according to terms described in the License section. last updated Sat May 16, 2015